/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreVariableSegment;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreVariableSegmentRecord extends UpdatableRecordImpl<TCoreVariableSegmentRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_variable_segment.pk</code>.
     */
    public void setPk(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variable_segment.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_variable_segment.fk_element</code>.
     */
    public void setFkElement(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variable_segment.fk_element</code>.
     */
    public Integer getFkElement() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_variable_segment.name</code>.
     */
    public void setName(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variable_segment.name</code>.
     */
    public String getName() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_variable_segment.report_name</code>.
     */
    public void setReportName(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variable_segment.report_name</code>.
     */
    public String getReportName() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_variable_segment.create_report</code>.
     */
    public void setCreateReport(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variable_segment.create_report</code>.
     */
    public String getCreateReport() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.t_core_variable_segment.variable_role</code>.
     */
    public void setVariableRole(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variable_segment.variable_role</code>.
     */
    public String getVariableRole() {
        return (String) get(5);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreVariableSegmentRecord
     */
    public TCoreVariableSegmentRecord() {
        super(TCoreVariableSegment.T_CORE_VARIABLE_SEGMENT);
    }

    /**
     * Create a detached, initialised TCoreVariableSegmentRecord
     */
    public TCoreVariableSegmentRecord(Integer pk, Integer fkElement, String name, String reportName, String createReport, String variableRole) {
        super(TCoreVariableSegment.T_CORE_VARIABLE_SEGMENT);

        setPk(pk);
        setFkElement(fkElement);
        setName(name);
        setReportName(reportName);
        setCreateReport(createReport);
        setVariableRole(variableRole);
        resetChangedOnNotNull();
    }
}
